Documentation Index
Fetch the complete documentation index at: https://docs.withgale.com/llms.txt
Use this file to discover all available pages before exploring further.
Product Object
The Product object represents items in your catalog. Gale automatically determines HSA/FSA eligibility via SIGIS database integration.All monetary amounts are integers in cents (e.g., 4995 = $49.95).
The Product Object
Attributes
| Attribute | Type | Description |
|---|---|---|
id | integer | Unique identifier for the product |
name | string | Product name (max 255 chars) |
tagline | string | Short description (max 255 chars) |
description | string | Full product description (supports markdown) |
price | integer | Price in cents |
currency | string | ISO 4217 currency code |
merchant_product_id | string | Your reference ID for this product |
upc_code_or_gtin | string | UPC or GTIN barcode |
status | enum | Product status: active, inactive, archived |
eligibility | object | HSA/FSA eligibility information |
images | array | Product images (max 10) |
metadata | object | Custom key-value pairs |
created_at | timestamp | When product was created |
updated_at | timestamp | When product was last updated |
Eligibility Object
| Field | Type | Description |
|---|---|---|
hsa_fsa_eligible | boolean | Whether product is HSA/FSA eligible |
message | string | Customer-facing eligibility explanation |
message field provides a customer-facing explanation you can display on your storefront (e.g., “HSA/FSA accepted”, “Requires Letter of Medical Necessity”).
Product Status
| Status | Description |
|---|---|
active | Available for sale |
inactive | Temporarily unavailable |
archived | Removed from catalog (soft deleted) |
Examples
Basic Product (Required Fields Only)
Complete Product
Related Endpoints
- Create Product - POST /v2/products
- Get Product - GET /v2/products/
- Update Product - PUT /v2/products/
- List Products - GET /v2/products
- Check Eligibility - POST /v2/products/check-eligibility
